Page MenuHomePhabricator

[gn] Move Features.inc to clangd, create a config for it
ClosedPublic

Authored by phosek on Apr 19 2019, 1:55 PM.

Details

Summary

ClangdLSPServer and clangd unittests now include Features.inc so we
need to append the target_gen_dir that contains it to their
include_dirs. To do so, we use a public config that's applied to
any target that depends on the features one.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Apr 19 2019, 1:55 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 19 2019, 1:55 PM
phosek updated this revision to Diff 195907.Apr 19 2019, 2:02 PM
phosek retitled this revision from [gn] Put features target_gen_dir to clangd include_dirs to [gn] Move Features.inc to clangd, create a config for it.
phosek edited the summary of this revision. (Show Details)
thakis accepted this revision.Apr 20 2019, 4:19 PM

Thanks!

This revision is now accepted and ready to land.Apr 20 2019, 4:19 PM
This revision was automatically updated to reflect the committed changes.

Looks like this doesn't build:

[1/1] Regenerating ninja files
FAILED: build.ninja
../../llvm/utils/gn/bin/mac-amd64/gn --root=../.. -q --dotfile=../../llvm/utils/gn/.gn gen .
ERROR Unresolved dependencies.
//clang-tools-extra/clangd:clangd(//llvm/utils/gn/build/toolchain:unix)
  needs //clang-tools-extra/clangd/tool:features(//llvm/utils/gn/build/toolchain:unix)
thakis added inline comments.Apr 21 2019, 6:56 AM
llvm/trunk/utils/gn/secondary/clang-tools-extra/clangd/BUILD.gn
22

Ah, you didn't remove this line. Fixing; but please try your changes locally before landing :)